Skip to main content

サブモジュール

モジュールの内容

このモジュールは、X API の compliance エンドポイントへのアクセスを提供します compliance-related のすべての機能の主要なエントリポイントとして機能します。

class xdk.compliance.ComplianceClient

compliance 操作向けのクライアント

パラメーター

Client

__init__

パラメーター

Client

create_jobs

Create Compliance Job Creates a new Compliance Job for the specified job type. body: Request body :returns: レスポンスデータ :rtype: CreateJobsResponse

パラメーター

CreateJobsRequest

get_jobs

Get Compliance Jobs 次の一覧を取得します: Compliance Jobs filtered by job type and optional status.

パラメーター

str
Type of Compliance Job to list.
str or None
default:"None"
Status of Compliance Job to list.
List or None
default:"None"
A comma separated list of ComplianceJob fields to display.

戻り値

GetJobsResponse - Response data

get_jobs_by_id

Get Compliance Job by ID Retrieves details of a specific Compliance Job by its ID.

パラメーター

Any
The ID of the Compliance Job to retrieve.
List or None
default:"None"
A comma separated list of ComplianceJob fields to display.

戻り値

GetJobsByIdResponse - Response data